summaryrefslogtreecommitdiffstats
path: root/audio/exhale/exhale.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'audio/exhale/exhale.SlackBuild')
-rw-r--r--audio/exhale/exhale.SlackBuild19
1 files changed, 10 insertions, 9 deletions
diff --git a/audio/exhale/exhale.SlackBuild b/audio/exhale/exhale.SlackBuild
index cdd57e607f..d1f057402b 100644
--- a/audio/exhale/exhale.SlackBuild
+++ b/audio/exhale/exhale.SlackBuild
@@ -2,7 +2,7 @@
# ----------------------------------------------------------------------
# Slackware build script for exhale
#
-# Copyright (c) 2020 - 2021 Andrew Strong, Blue Mountains, Australia.
+# Copyright (c) 2020 - 2023 Andrew Strong, Blue Mountains, Australia.
#
# Permission to use, copy, modify, and distribute this software for
# any purpose with or without fee is hereby granted, provided that
@@ -26,7 +26,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=exhale
-VERSION=${VERSION:-1.1.1}
+VERSION=${VERSION:-1.2.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -51,18 +51,14 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-# The compiler flag '-std=c++11' is required for a succesful compile
-# under Slackware 14.2 and gcc 5.3.0. This flag is not required for
-# versions of Slackware > 14.2.
-
if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686 -std=c++11"
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686 -std=c++11"
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC -std=c++11"
+ SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
else
SLKCFLAGS="-O2 -std=c++11"
@@ -97,6 +93,11 @@ cd build
make install DESTDIR=$PKG
cd ..
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a README.md include/{License.htm,Release.htm,styles.css} $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild